fli_bmp_dirty_from(3)

NAME
fli_bmp_dirty_from, fli_bmp_dirty_to

SYNOPSIS
#include <allegro.h>

extern int fli_bmp_dirty_from; extern int fli_bmp_dirty_to;

DESCRIPTION
These variables are set by next_fli_frame() to indicate which part of the fli_bitmap has changed since the last call to reset_fli_variables(). If fli_bmp_dirty_from is greater than fli_bmp_dirty_to, the bitmap has not changed, otherwise lines fli_bmp_dirty_from to fli_bmp_dirty_to (inclusive) have altered. You can use these when copying the fli_bitmap onto the screen, to avoid moving data unnecessarily.

SEE ALSO
fli_bitmap(3), reset_fli_variables(3)